Bug 1625095 - CVE-2018-10930 glusterfs: Files can be renamed outside volume
Summary: CVE-2018-10930 glusterfs: Files can be renamed outside volume
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: 4.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Amar Tumballi
QA Contact:
URL:
Whiteboard:
Depends On: 1625085
Blocks: CVE-2018-10930 1625664
TreeView+ depends on / blocked
 
Reported: 2018-09-04 06:08 UTC by Amar Tumballi
Modified: 2018-10-23 15:18 UTC (History)
10 users (show)

Fixed In Version: glusterfs-5.0
Doc Type: Release Note
Doc Text:
Clone Of: 1625085
: 1625664 (view as bug list)
Environment:
Last Closed: 2018-09-10 06:39:34 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Amar Tumballi 2018-09-04 06:08:08 UTC
+++ This bug was initially created as a clone of Bug #1625085 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

--- Additional comment from Siddharth Sharma on 2018-09-04 01:44:38 EDT ---

Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1612664,1625085

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 1 Worker Ant 2018-09-04 06:18:37 UTC
REVIEW: https://review.gluster.org/21068 (server-protocol: don't allow '../' path in 'name') posted (#1) for review on master by Amar Tumballi

Comment 2 Worker Ant 2018-09-05 09:24:13 UTC
COMMIT: https://review.gluster.org/21068 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- server-protocol: don't allow '../' path in 'name'

This will prevent any arbitrary file creation through glusterfs
by modifying the client bits.

Also check for the similar flaw inside posix too, so we prevent any
changes in layers in-between.

Fixes: bz#1625095

Signed-off-by: Amar Tumballi <amarts@redhat.com>
Change-Id: Id9fe0ef6e86459e8ed85ab947d977f058c5ae06e

Comment 3 Worker Ant 2018-09-05 13:22:39 UTC
REVIEW: https://review.gluster.org/21103 (server-protocol: don't allow '../' path in 'name') posted (#1) for review on release-4.1 by Amar Tumballi

Comment 4 Worker Ant 2018-09-06 15:01:23 UTC
COMMIT: https://review.gluster.org/21103 committed in release-4.1 by "jiffin tony Thottan" <jthottan@redhat.com> with a commit message- server-protocol: don't allow '../' path in 'name'

This will prevent any arbitrary file creation through glusterfs
by modifying the client bits.

Also check for the similar flaw inside posix too, so we prevent any
changes in layers in-between.

Fixes: bz#1625095

Signed-off-by: Amar Tumballi <amarts@redhat.com>
Change-Id: Id9fe0ef6e86459e8ed85ab947d977f058c5ae06e

Comment 5 Jiffin 2018-09-14 08:33:04 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-4.1.4, please open a new bug report.

glusterfs-4.1.4 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://lists.gluster.org/pipermail/announce/2018-September/000112.html
[2] https://www.gluster.org/pipermail/gluster-users/

Comment 6 Shyamsundar 2018-10-23 15:18:28 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-5.0, please open a new bug report.

glusterfs-5.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://lists.gluster.org/pipermail/announce/2018-October/000115.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.